/*
 * Created on 09-Sep-2005
 * Created by Paul Gardner
 * Copyright (C) 2005 Aelitis, All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * AELITIS, SARL au capital de 30,000 euros
 * 8 Allee Lenotre, La Grille Royale, 78600 Le Mesnil le Roi, France.
 *
 */

package org.parg.azureus.plugins.sudoku.model;

public interface 
SudokuValueMetric 
	extends Cloneable
{
	public static final int	MT_CORE					= 1;
	public static final int	MT_ENTERED				= 2;
	public static final int	MT_CHUNK_ONLY_CHOICE	= 3;
	public static final int	MT_SLICE_ONLY_CHOICE	= 4;
	public static final int	MT_CHUNK_NO_OTHERS		= 5;
	public static final int	MT_SLICE_NO_OTHERS		= 6;
	
	
	public int
	getType();
	
	public String
	getReason();
	
	public int
	getParameter();
	
	public Object
	clone();
}
